<?php
session_start();
	include_once("../scripts/connect.php");
	$connexion = conecta_default();

	include("../scripts/session.php");

	$sesion = new Sesion("","","");

	if(!$sesion->isValida("4"))
		header("Location: ../index.php?err=NoSesion");
	else{
		$dato=explode("|", $_SESSION['usuario']);
		$sesion->setDatos($dato[0],$dato[1],$dato[2]);
		$sesion->setSesion();
	}

	$sql = "SELECT id_ap, inversionista.nombre AS nombre_inv, appat, apmat, tipo_hab, anticipo, fecha_ap, usuarios_ci.nombre AS nombre_cd_venta, Apartado.RFC
			FROM Apartado
			INNER JOIN inversionista ON Apartado.id_inver = inversionista.id_inver
			INNER JOIN usuarios_ci ON Apartado.cd_venta = usuarios_ci.idusuarios_ci";

	$query = mysqli_query($conexion, $sql) or die("Error 1" . mysqli_error($conexion));
?>
<center>
<style>
	.demo {
		border:1px solid #5C3C12;
		border-collapse:collapse;
		padding:5px;
	}
	.demo th {
		border:1px solid #5C3C12;
		padding:5px;
		background:#F9CD7B;
	}
	.demo td {
		border:1px solid #5C3C12;
		padding:5px;
	}
</style>
<table class="demo">
	<tr>
		<th>N&deg; Apartado</th>
		<th>Reservador</th>
		<th>Tipo de Habitaci&oacute;n</th>
		<th>Anticipo</th>
		<th>Fecha de Apartado</th>
		<th>Centro de Venta</th>
	</tr>

<?php
	while($row=mysqli_fetch_row($query)){
		echo "<tr><td>".$row[0]."</td><td>".$row[1]." ".$row[2]." ".$row[3]."</td><td>".$row[4]."</td><td>".$row[5]."</td><td>".$row[6]."</td><td>".$row[7]."</td><td>".
		"<form name='historial' method='post' action='abonos_eventoH.php'><input type='hidden' value='".$row[0]."' name='idAPk'/>"."<input type='submit' value='Ver Historial' name='next'/>";
		
		$row_sql = "select id_abono from abono_evento where id_ap=".$row[0];
		$row_query = mysqli_query($conexion, $row_sql) or die("Error 2" . mysqli_error($conexion));
		
		$id_abono = mysqli_fetch_object($row_query)->id_abono;
		
		echo "<input type='hidden' value='".$row[8]."' name='rfck'/><input type='hidden' value='$id_abono' name='id_AB'/></form></td></tr>";
	}
	
	echo "</table>";
?>